#
# spec file for package tkimg (Version 1.3)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  tcl tcl-devel tk tk-devel x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext libtool perl rpm tcl tcl-devel tk tk-devel

Name:         tkimg
URL:          http://sourceforge.net/projects/tkimg
Summary:      More Image Formats for Tk
Version:      1.3
Release:      24.2
License:      BSD
Group:        Development/Libraries/Tcl
Source0:      %{name}%{version}rc2.tar.bz2
Patch0:       %name.patch
Patch1:       %name-libpng.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This package contains a collection of image format handlers for the Tk
photo image type, and a new image type, pixmaps.

The provided format handlers include bmp, gif, ico, jpeg, pcx, png,
ppm, ps, sgi, sun, tga, tiff, xbm, and xpm.



Authors:
--------
    Jan Nijtmans <jan.nijtmans@xs4all.nl>
    Andreas Kupries <akupries@shaw.ca>

%prep
%setup -q -n %name%{version}rc2
%patch0
%patch1

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing " \
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--mandir=%_mandir \
	--with-tcl=%_libdir \
	--with-tk=%_libdir
make %{?jobs:-j%jobs} all CFLAGS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing"
make test

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL_ROOT=$RPM_BUILD_ROOT
mkdir -p %buildroot/%_mandir/mann
pushd doc/man
for f in *.n; do
	fgrep -v ".so man.macros" $f > %buildroot/%_mandir/mann/$f
done
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ANNOUNCE ChangeLog README Reorganization.Notes.txt
%doc changes license.terms doc/html demo
%docdir %_mandir/mann
%doc %_mandir/*/*
%_libdir/*
%_includedir/*

%changelog -n tkimg
* Thu Jul 29 2004 - max@suse.de
- Added tkimg-libpng.patch to fix security holes (Bug #43008).
* Mon Mar 01 2004 - max@suse.de
- New package: tkimg-1.3rc2
- An image format extension for Tk.
